getFASTAname {SLGI} | R Documentation

## Obtain sequence name from FASTA object

### Description

Extract the name of a sequence from a FASTA object that created by `readFASTA` function from `Biostrings` package.

### Usage

    getFASTAname(Fobj)

### Arguments

`Fobj` | is a FASTA object created by `readFASTA` function from `Biostrings` package.

### Details

The function gets the first string between ">" and space the "desc" element of the `Fobj`, which is the names of the sequence.

### Value

A character string.

### Author(s)

Z. Jiang

### See Also

`readFASTA`

### Examples

    f <- gzfile(file.path(.path.package("SLGI"), "extdata/orf_trans.fasta.gz"), open = "rt")
    library(Biostrings)
    yeastF <- readFASTA(f)
    sapply(yeastF[1:5],getFASTAname)

[Package SLGI version 1.2.0 Index]